Loading...
Searching...
No Matches
SqlUtil::SqlUtilDbSpecificDataType Class Reference

data type for DB-specific types that are not convertible to other types More...

`#include <SqlUtilDbSpecificDataType.qc.dox.h>`

## Public Member Functions

auto | acceptsValue (auto value)
| returns the value if the value can be assigned to the type
| constructor (string native_type, bool nullable, *hash< auto > options)
| creates the object from the given parameters
hash< string, bool > | getAcceptTypeHash (*bool simple)
| returns a hash of types accepted by this type
string | getDesc ()
| Returns the description.
*AbstractDataProviderType | getElementType ()
| returns the subtype (for lists or hashes) if there is only one
*hash< string, AbstractDataField > | getFields ()
| returns the fields of the data structure; if any
string | getName ()
| returns the type name
hash< string, bool > | getReturnTypeHash (*bool simple)
| returns a hash of types returned by this type
*Type | getValueType ()
| returns the base type for the type, if any

## Protected Attributes

string | name
| the type name
bool | nullable
| nullable flag

## Detailed Description

data type for DB-specific types that are not convertible to other types

by default any DB-specific type without a known mapping to a Qore type and without a specific type implementation will be assigned this type

Since
  SqlUtil 1.6

## Member Function Documentation

## acceptsValue()

auto SqlUtil::SqlUtilDbSpecificDataType::acceptsValue | ( | auto | value | ) |

returns the value if the value can be assigned to the type

Parameters

  value | the value to assign to the type

Returns
  the value to be assigned; can be converted by the type